spring.application.name=webshop
server.port=8085

# DataSource
spring.datasource.url=jdbc:sqlite:./datasource/database.sqlite
spring.datasource.driver-class-name=org.sqlite.JDBC
spring.sql.init.mode=always
spring.jpa.properties.hibernate.dialect=org.hibernate.community.dialect.SQLiteDialect
spring.jpa.open-in-view=true

# Logging
logging.pattern.console=%d{yyyy-MM-dd HH:mm:ss.SSS} [CET] %-5level %logger{36} - %msg%n
logging.level.root=INFO
spring.main.banner-mode=off

# Flyway
spring.flyway.enabled=true
spring.flyway.url=jdbc:sqlite:./datasource/database.sqlite
spring.flyway.locations=classpath:db/sqlite
spring.flyway.baseline-on-migrate=true
spring.flyway.mixed=true

# SwaggerUI
springdoc.api-docs.path=/api-docs
springdoc.swagger-ui.path=/swagger.html